Package org.eclipse.birt.chart.model.data.impl

# Class DataFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.birt.chart.model.data.impl.DataFactoryImpl

All Implemented Interfaces:
  `DataFactory`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class DataFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements DataFactory
An implementation of the model Factory .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.data.DataFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`DataFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertDataToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`Action`
`createAction()`
`BaseSampleData`
`createBaseSampleData()`
`BigNumberDataElement`
`createBigNumberDataElement()`
`BubbleDataSet`
`createBubbleDataSet()`
`DataElement`
`createDataElement()`
`Object`
`createDataFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataSet`
`createDataSet()`
`DateTimeDataElement`
`createDateTimeDataElement()`
`DateTimeDataSet`
`createDateTimeDataSet()`
`DifferenceDataSet`
`createDifferenceDataSet()`
`Object`
`createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`GanttDataSet`
`createGanttDataSet()`
`MultipleActions`
`createMultipleActions()`
`NullDataSet`
`createNullDataSet()`
`NumberDataElement`
`createNumberDataElement()`
`NumberDataSet`
`createNumberDataSet()`
`OrthogonalSampleData`
`createOrthogonalSampleData()`
`Query`
`createQuery()`
`Rule`
`createRule()`
`SampleData`
`createSampleData()`
`SeriesDefinition`
`createSeriesDefinition()`
`SeriesGrouping`
`createSeriesGrouping()`
`StockDataSet`
`createStockDataSet()`
`TextDataSet`
`createTextDataSet()`
`Trigger`
`createTrigger()`
`DataPackage`
`getDataPackage()`
`static DataPackage`
`getPackage()`
Deprecated.
`static DataFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### DataFactoryImpl

public DataFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static DataFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

public Object createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

public String convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAction

public Action createAction()

Specified by:
  `createAction` in interface `DataFactory`
Returns:
  a new object of class 'Action'.

### createBaseSampleData

public BaseSampleData createBaseSampleData()

Specified by:
  `createBaseSampleData` in interface `DataFactory`
Returns:
  a new object of class 'Base Sample Data'.

### createBigNumberDataElement

public BigNumberDataElement createBigNumberDataElement()

Specified by:
  `createBigNumberDataElement` in interface `DataFactory`
Returns:
  a new object of class 'Big Number Data Element'.

### createBubbleDataSet

public BubbleDataSet createBubbleDataSet()

Specified by:
  `createBubbleDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Bubble Data Set'.

### createDataElement

public DataElement createDataElement()

Specified by:
  `createDataElement` in interface `DataFactory`
Returns:
  a new object of class 'Element'.

### createDataSet

public DataSet createDataSet()

Specified by:
  `createDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Set'.

### createDateTimeDataElement

public DateTimeDataElement createDateTimeDataElement()

Specified by:
  `createDateTimeDataElement` in interface `DataFactory`
Returns:
  a new object of class 'Date Time Data Element'.

### createDateTimeDataSet

public DateTimeDataSet createDateTimeDataSet()

Specified by:
  `createDateTimeDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Date Time Data Set'.

### createDifferenceDataSet

public DifferenceDataSet createDifferenceDataSet()

Specified by:
  `createDifferenceDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Difference Data Set'.

### createGanttDataSet

public GanttDataSet createGanttDataSet()

Specified by:
  `createGanttDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Gantt Data Set'.

### createMultipleActions

public MultipleActions createMultipleActions()

Specified by:
  `createMultipleActions` in interface `DataFactory`
Returns:
  a new object of class 'Multiple Actions'.

### createNullDataSet

public NullDataSet createNullDataSet()

Specified by:
  `createNullDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Null Data Set'.

### createNumberDataElement

public NumberDataElement createNumberDataElement()

Specified by:
  `createNumberDataElement` in interface `DataFactory`
Returns:
  a new object of class 'Number Data Element'.

### createNumberDataSet

public NumberDataSet createNumberDataSet()

Specified by:
  `createNumberDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Number Data Set'.

### createOrthogonalSampleData

public OrthogonalSampleData createOrthogonalSampleData()

Specified by:
  `createOrthogonalSampleData` in interface `DataFactory`
Returns:
  a new object of class 'Orthogonal Sample Data'.

### createQuery

public Query createQuery()

Specified by:
  `createQuery` in interface `DataFactory`
Returns:
  a new object of class 'Query'.

### createRule

public Rule createRule()

Specified by:
  `createRule` in interface `DataFactory`
Returns:
  a new object of class 'Rule'.

### createSampleData

public SampleData createSampleData()

Specified by:
  `createSampleData` in interface `DataFactory`
Returns:
  a new object of class 'Sample Data'.

### createSeriesDefinition

public SeriesDefinition createSeriesDefinition()

Specified by:
  `createSeriesDefinition` in interface `DataFactory`
Returns:
  a new object of class 'Series Definition'.

### createSeriesGrouping

public SeriesGrouping createSeriesGrouping()

Specified by:
  `createSeriesGrouping` in interface `DataFactory`
Returns:
  a new object of class 'Series Grouping'.

### createStockDataSet

public StockDataSet createStockDataSet()

Specified by:
  `createStockDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Stock Data Set'.

### createTextDataSet

public TextDataSet createTextDataSet()

Specified by:
  `createTextDataSet` in interface `DataFactory`
Returns:
  a new object of class 'Text Data Set'.

### createTrigger

public Trigger createTrigger()

Specified by:
  `createTrigger` in interface `DataFactory`
Returns:
  a new object of class 'Trigger'.

### createDataFromString

public Object createDataFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDataToString

public String convertDataToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### getDataPackage

public DataPackage getDataPackage()

Specified by:
  `getDataPackage` in interface `DataFactory`
Returns:
  the package supported by this factory.

### getPackage

@Deprecated public static DataPackage getPackage()
Deprecated.